<template>
    <div id="product-list">
        <h2>Product List</h2>
        <ul>
            <li v-for="product in products" :key="product.id">
                <span class="name">Product name: {{ product.name }}</span>
                <span class="price">Product price: {{ Intl.NumberFormat().format(product.price) }}đ</span>
            </li>
        </ul>
    </div>
</template>

<script>
export default {
    computed: {
        products(){
            return this.$store.state.products;
        },
        saleProducts(){
            return this.$store.getters.saleProducts;
        }
    }
}
</script>

<style scoped>
#product-list{
    background: #D1E4FF;
    box-shadow: 1px 2px 3px rgba(0,0,0,0.2);
    margin-bottom: 30px;
    padding: 10px 20px;
}
#product-list ul{
    padding: 0;
    list-style-type: none;
}
#product-list li{
    margin-right: 10px;
    margin-top: 10px;
    padding: 20px;
    background: rgba(255,255,255,0.7);
}
.price{
    font-weight: bold;
    color: #860CE8;
    display: block;
}
</style>
